Bug 6898 - Add %makeinstall_qt macro to rpm
: Add %makeinstall_qt macro to rpm
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-01 14:49 MSD by Andrey Bondrov
Modified: 2016-04-12 11:07 MSD (History)
1 user (show)

See Also:
RPM Package: rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-04-01 14:49:25 MSD
We need to add %makeinstall_qt macro to rpm to hanle qmake-generated makefiles. It's the same for any qmake version so should be in main (mandriva) macros file instead of qt3.macros, qt4.macros or qt5.macros.

macro definition:
%makeinstall_qt make INSTALL_ROOT=%{?buildroot:%{buildroot}} install STRIP=true

"STRIP=true" is used to avoid running real strip command on installed binaries.
Comment 1 Andrey Bondrov 2016-04-01 15:00:57 MSD
Advisory: "Add %makeinstall_qt macro to rpm"

https://abf.rosalinux.ru/build_lists/2629655
https://abf.rosalinux.ru/build_lists/2629656
Comment 2 Vladimir Potapov 2016-04-08 21:08:34 MSD
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2016-04-11 18:30:52 MSD
rpm-5.4.10-62
https://abf.rosalinux.ru/build_lists/2629655
https://abf.rosalinux.ru/build_lists/2629656
***************************** Advisory *****************************
Add %makeinstall_qt macro to rpm
********************************************************************
QA Verified